﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace PhoneBookTest
{
    public class MainViewModel : ViewModelBase
    {
        public MainViewModel()
        {
            var people = GeneratePeople();
            
            Dictionary<string, List<Person>> groupedPeople = people.GroupBy(g => g.Name.Substring(0, 1)).ToDictionary(g => g.Key, g => g.ToList());

            Tabs = new ObservableCollection<TabItemModel>();

            foreach (var item in groupedPeople)
            {
                Tabs.Add(new TabItemModel
                {
                    Letter = item.Key,
                    People = item.Value
                });
            }
        }

        private List<Person> GeneratePeople() => new List<Person>
        {
            new Person {Name = "Alex", Address = "111 Tremont Street, Boston, MA 02118"},
            new Person {Name = "Anthony", Address = "111 Tremont Street, Boston, MA 02118"},
            new Person {Name = "Alicia", Address = "111 Tremont Street, Boston, MA 02118"},
            new Person {Name = "Bob", Address = "111 Tremont Street, Boston, MA 02118"},
            new Person {Name = "Mary", Address = "111 Tremont Street, Boston, MA 02118"},
            new Person {Name = "Xander", Address = "111 Tremont Street, Boston, MA 02118"},
            new Person {Name = "Charlie", Address = "111 Tremont Street, Boston, MA 02118"},
            new Person {Name = "Max", Address = "111 Tremont Street, Boston, MA 02118"}
        };

        public ObservableCollection<TabItemModel> Tabs { get; set; }
    }

    public class TabItemModel
    {
        public string Letter { get; set; }
        public List<Person> People { get; set; }
    }

    public class Person
    {
        public string Name { get; set; }
        public string Address { get; set; }
    }
}
